<script>
  import { json } from "d3-fetch";
  import { onMount } from "svelte";

  import Controls from "./_ex_3_controls.svelte";
  import Scatterplot from "./_ex_3_scatterplot.svelte";
  
  let current_year2 = 0;

  let current_continent2 = "all";

  // Load the data
  let data = null;
  onMount(async () => {
    data = await json("/data/gapminder.json");   
  });

  $: selected_data =  function(current_year2,current_continent2) {

    let selected_data=data[current_year2]["countries"];
  
    if (current_continent2 == "all") {
      return selected_data
    }
    else {
      selected_data =  selected_data.filter(item => (item.continent === current_continent2))

      return selected_data
        }
  }

</script>


{#if !data}
  <p>Loading the data, please wait...</p>
{:else}
<div>
   <Scatterplot data={selected_data(current_year2,current_continent2)} />
  <Controls data={data} bind:current_year={current_year2} bind:current_continent={current_continent2}/>
</div>
{/if}

